// when return changed row. data will sync to editor's subtitles
function processRow(row, context) {
	let maxLength = 37
	let justMarkNeedManualFix = true // change to false will split to multi-rows if > maxLength
	var tmp = []
	var rs = []
	row.words.map(word => {
		tmp.push(word)
		 
		if (tmp.join("").length > maxLength) {
		   tmp.pop()
		   rs.push(tmp.join(""))
		   tmp = []
		   tmp.push(word)
		 }
	})

	if (tmp.length > 0) {
		rs.push(tmp.join(""))
	 }
	 
	// no need to change row
	if (rs.length == 1) {
	   return
	}

	// after marked. Simple use subtitle editor M column to sort these marked rows
	if (justMarkNeedManualFix) {
	   row.markNeedFix = true
	   console.log(`${row}`)
	   return row
	}

	// row split to multi-rows. the key is to change the text and time range
	var targetRows = []
	rs.map(r => {
	   let nst = row.clone()
	   nst.text = r
		targetRows.push(nst)
	});

	//console.log(targetRows)
	libRetime(targetRows, row.t0, row.t1);
	
	console.log(`### ${row.timeRange()} ${row.text} will change to ${targetRows.join("\n")}`)
	console.log('--------------------------------------------------------------\n\n')


	return targetRows
}


function processFinish(context) {
    console.log(`${context.projectName} process finished`)
}
