
// http post json data to service example
// --------------------------------------------------------------------------
// !!! For test purposes please change effect rows to selected only. If use all rows test will slow
// --------------------------------------------------------------------------
function processRow(row) {
	if (row.text.startsWith("- ")) {
		row.text = row.text.replace(/^-\s/, "")
		row.markChanged = true // set markchanged will mark an icon in M column
		console.log(row)
		return row // must return row object then will do sync back to subtitle editor
	}
	
	var json = {}
	json.subtitle = row.text // subtitle content
	json.translate = row.text1 // translated content
	json.time = row.t0 + " --> " + row.t1
	
	// if your llm server need auth other other http header. uncomment below line
	_http.header("Authorization", "Bearer LLMUserAuthToken")
	
	// httpbin.org is an test post server.
	// it just response the test data, you should replace the url with your local llm server
	// learn more of httpbin.org https://www.baeldung.com/linux/json-http-request-body-terminal
	let res = _http.post("https://httpbin.org/post", json)
	
	// view the response data string
	console.log(JSON.stringify(res, null, 2))	// full response json
	console.log("------------------------")
	
	
	// example to get the response json value then modify to it and refill to src subtitle obj
	let resJson = JSON.parse(res.data)
	console.log(JSON.stringify(resJson, null, 2))	// it just to fit the httpbin json respone format.
	
	let resSubtitle = resJson.subtitle
	console.log("resSubtitle: " + resSubtitle)
	
	// test to change src row subtitle content, just add "###" to header
	row.text = "### " + resSubtitle
	console.log(row)
	
	// use test real data to see real change the src row data in subtitle editor
	return row
}

